+ Responder ao Tópico



  1. #1
    kundera
    Visitante

    Padrão Erro no APT-GET

    Pessoal, Boa tarde !

    Tô com o seguinte problema:

    Quando digito:

    apt-get upgrade ele me retorna a seguinte mensagem:

    E: there are tho or more versions of the package ' mailman " installed in your system, which is a situation APT can't handle cleanly at the moment etc....

    O que devo fazer para desinstalar esse cara mailman ?

    Não consigo via RPM nem via gerenciador do KDE alguem pode me ajudar?

    Grato e certo de que alguem me ajudara


    AGRADECO..


    OBRIGADO..

  2. #2
    Administrador Avatar de Fernando
    Ingresso
    Jul 2001
    Localização
    Campinas Area
    Posts
    4.996
    Posts de Blog
    4

    Padrão Erro no APT-GET

    Bom amigo,

    rm -r /home/mailman ; mkdir /home/mailman

    Ou faça um backup da pasta antiga, em caso de voce precisar de algo:

    mv -i /home/mailman /home/mailman.old
    mv -i /home/mailman /tmp
    tar cv -f /tmp/mailman-2.0.13.tar /home/mailman

    ;]



  3. #3
    kundera
    Visitante

    Padrão Erro no APT-GET

    psy,

    boa tarde.

    Fiz a remoção do diretorio mas ele continua dando o mesmo erro no apt-get, dizendo que o package esta em duplicidade.

    Quando eu entro no gerenciador de pacotes do KDE e vou ate correio eletronico aparece o mailman 02 vezes da seguinte forma:

    mailman-2.0.13-1U60-1cl
    mailman-2.0beta5-7cl

    Não os consigo desinstalar...

    Já refiz o banco de dados do RPM com rpm --rebuilddb mas mesmo assim continua dando o erro.

    Por favor se puder me ajudar te agradeço.

    Grande abraço.

  4. #4
    Administrador Avatar de Fernando
    Ingresso
    Jul 2001
    Localização
    Campinas Area
    Posts
    4.996
    Posts de Blog
    4

    Padrão Erro no APT-GET

    Que erro da que vc nao consegue o uninstall?



  5. #5
    kundera
    Visitante

    Padrão Erro no APT-GET

    PSY,

    Quando eu peço para desinstalar pelo gerenciardor de pacotes do KDE ele diz que mailman especifica multiplos pacotes.

    Grato

  6. #6
    jedah
    Visitante

    Padrão KDE????

    Hey, faz via linha de comando colega

    apt-get remove <programa> --purge

    Tenta aih



  7. #7
    kundera
    Visitante

    Padrão Erro no APT-GET

    Jedah / psy,

    Mesmo fazendo via linha de comando ele dá o erro.

    Não sei mais o que fazer e o problema é que estou precisando atualizar a versão.

    Se mais alguem souber como exclui-los/desinstala-los de vez, agradeço.

    Até mais.

    e Obrigado

  8. #8
    jedah
    Visitante

    Padrão Erro no APT-GET

    tenta

    apt-get update
    apt-get clean

    dpkg -l (descobre o nome do pacote)

    apt-get remove (nome completo) --purge

    ou

    dpkg -r (nome completo)

    falow



  9. #9
    Visitante

    Padrão Erro no APT-GET

    se sua base de RPM´s esta corrompida tenta usar esse comando

    rpm --rebuilddb

    depois vc tenta instalar/desinstalar.

    Té + fera